<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" id="tech-tracker" xml:lang="ru">

  <info>
    <link type="guide" xref="tech" group="tracker"/>

    <credit type="author copyright">
      <name>Federico Mena Quintero</name>
      <email its:translate="no">federico@gnome.org</email>
      <years>2013</years>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="cc-by-sa-3-0.xml"/>

    <desc>Storage and retrieval for document metadata</desc>
  </info>

  <title>Tracker</title>

  <p>
    Tracker is an RDF (resource data format) storage engine.  RDF consists of
    <em>triplets</em> such as subject:verb:object.  For example, there could be
    standard triplets for book titles and authors, such as
    <code>Othello:has-author:William Shakespeare</code>.  A standardized set of
    triplet forms is called an <em>ontology</em>.
  </p>

  <p>
    Tracker provides a storage for such triplets, and a query engine in the
    form of the SPARQL query language.
  </p>

  <p>GNOME uses Tracker as a storage for document metadata. A document's
  metadata may include its title, authors, copyright, modification date, and
  keywords. All this metadata is stored as RDF triplets in Tracker, and
  queried with SPARQL by applications such as GNOME Documents. The
  <link href="http://developer.gnome.org/ontology/unstable/">ontology
  used</link> is based on various standard sub-ontologies:
  <link href="http://dublincore.org/">Dublin Core</link> for document metadata,
  and <link href="http://nepomuk.kde.org/">NEPOMUK</link> for annotations,
  files, contacts and other items.</p>

  <list style="compact">
    <item><p><link href="https://wiki.gnome.org/Projects/Tracker">Tracker Home Page</link></p></item>
    <item><p><link href="https://wiki.gnome.org/Projects/Tracker/Documentation">Tracker documentation</link></p></item>
  </list>

</page>
